Bug 74700 - No way to change channels if old channel went away.
No way to change channels if old channel went away.
Status: CLOSED NOTABUG
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Devel
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-30 20:24 EDT by Aleksey Nogin
Modified: 2007-04-18 12:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-30 20:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2002-09-30 20:24:02 EDT
I had a system with a (null) beta subscribed to (null) channel. After upgrading
the system to 8.0 (and noticing that the (null) channel disappeared) I see
numerous problems:

1) The RHN still shows it as subscribed to (null) channel despite it running 8.0 now

2) If I run up2date or rhn_check, I get:

> Error communicating with server. The message was:
>
> Error Message:
>     Could not unsubscribe server 1001221446 from existing channels
> Error Class Code: 36
> Error Class Info: Invalid action
> Explanation:
>      An error has occurred while processing your request. If this problem
>      persists please submit a bug report to rhn-help@redhat.com.
>      If you choose to submit the bug report, please be sure to include
>      details of what you were trying to do when this error occurred and
>      details on how to reproduce this problem.


3) On https://rhn.redhat.com/network/system/system_channels.pxt?sid=1001221446
under "Base Channel", I have "Red Hat Beta (Null) for i386". If I click that
link, I get a "Permissions denied" page...

IMHO, *unsubscribing* from a channel should still work even if the channel is gone.
Comment 1 Josef Komenda 2002-10-24 14:40:48 EDT
Sorry, upgrades from Beta releases are not supported. You have to either do a
clean install, or if you absolutely can't afford to do that, try deleting and
re-registering your system profile (that *might* fix things).
Comment 2 Aleksey Nogin 2002-10-24 16:35:33 EDT
This is not necessarily an issue with just upgrades from Beta. Do you think that
Beta channels are the only ones that can potentially go away? All I can say is
that I will reopen this bug when (if?) you stop supporting 6.2 (or 7.0) in RHN...

Note You need to log in before you can comment on or make changes to this bug.